# Media Library Theme Reset

This module fixes theme related problems related to using Layout Builder in
conjunction with the core Media Library.

Layout Builder greatly improves the content editing experience by moving
content creation and layout into the active theme layer.

However, because editing takes place with the default theme, rather than the
admin theme, the core Media Library, when used in the context of Layout Builder,
will also use the default theme. Since most front-end themes are not designed
for Drupal form editing, they end up looking insufficient.

The ideal solution would be to use a Drupal admin theme in Layout Builder.
However, this is currently not possible:

- https://www.drupal.org/project/media_library_theme_reset/issues/3042907
- https://www.drupal.org/project/media_library_theme_reset/issues/3050508

Rather than requiring themes to add additional logic to display Drupal forms
sufficiently, this module takes on the responsibility of replicating Seven's
CSS and attaching it, as a library, in the context of the Media Library, when
accessed via Layout Builder.

For a full description of the module, visit the project page:

- https://www.drupal.org/project/media_library_theme_reset

Submit bug reports and feature suggestions, or track changes in the issue queue:

- https://www.drupal.org/project/issues/media_library_theme_reset

## Table of contents

- Requirements
- Installation
- Configuration
- Maintainers

## Requirements

This module requires no modules outside of Drupal core.

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see "Installing Drupal Modules":

- https://www.drupal.org/docs/extending-drupal/installing-drupal-modules

## Configuration

Go to Admin >> Configuration >> Media >> Media Library Theme Reset

## Maintainers

- Mark Fullmer - [mark_fullmer](https://www.drupal.org/u/mark_fullmer)
- Paul Grotevant - [gravelpot](https://www.drupal.org/u/gravelpot)
- Rick Hastie - [ricksta](https://www.drupal.org/u/ricksta)
- Jeff Cardwell - [jeff-cardwell](https://www.drupal.org/u/jeff-cardwell)
- Polo Reynaga - [lreynaga](https://www.drupal.org/u/lreynaga)
- Marcus Marler - [mmarler](https://www.drupal.org/u/mmarler)
- Jana Tate - [texas_tater](https://www.drupal.org/u/texas_tater)
- Information Technology Services University of Texas at Austin - [utexas](https://www.drupal.org/u/utexas)
